from datetime import datetime
from typing import List, Union, Dict
from pydantic import BaseModel
from typing import Optional

from schemas import DBBase


class interview_record(BaseModel):
    uid: str  # 简历的唯一id
    name: str  # 求职者名字
    interview_name: str  # 面试官名字
    hr_name: str  # 人事名字
    star_time: str  # 面试开始时间
    interview_sign: int  # 是否签到
    job_id: str  # 我们自己招聘的职位id
    job_names: str  # 我们自己招聘的职位名
    times: str  # 创建数据的时间
    read_status: int  # 读取状态
    back_status: int  # 反馈状态
    type: str  # 记录的类型


# ------------------------------------------------
# 数据库模型
class interview_records(DBBase):
    uid: str  # 简历的唯一id
    name: str  # 求职者名字
    interview_name: str  # 面试官名字
    interview_id: str  # 面试官uid
    hr_name: str  # 人事名字
    star_time: str  # 面试开始时间
    interview_sign: int  # 是否签到
    job_id: str  # 我们自己招聘的职位id
    job_names: str  # 我们自己招聘的职位名
    times: str  # 创建记录的时间
    read_status: int  # 读取状态
    type: str  # 记录的类型
